org.apache.jmeter.reporters

## Class AbstractListenerElement

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.reporters.AbstractListenerElement

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, TestElement

Direct Known Subclasses:
  ResultCollector

    public abstract class AbstractListenerElement
    extends AbstractTestElement

Base class for Listeners

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
`protected` `AbstractListenerElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`protected Visualizer` `getVisualizer()`
`void` `setListener(Visualizer vis)`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### AbstractListenerElement

    protected AbstractListenerElement()

### Method Detail

#### getVisualizer

    protected final Visualizer getVisualizer()

#### setListener

    public void setListener(Visualizer vis)

#### clone

    public Object clone()

Specified by:
  `clone` in interface `TestElement`
Overrides:
  `clone` in class `AbstractTestElement`